Subject: Re: bug#51711: 28.0.60; rgrep fails to pass the search directory to rgrep-default-command

From: Phil Sainty <[email-masked]>
Date: Thu, 11 Nov 2021 14:48:12 +1300

On 2021-11-11 13:17, Dmitry Gutov wrote:
> This only matters when grep-find-ignored-directories or
> grep-find-ignored-files have been customized to cons values
> with functions, right?

Yes, I believe so.

> Does the below patch work for you? I suppose the answer depends
> on whether the functions in the customized car values will know
> what to do with ".".

Unfortunately I think "." will (at best) be recognised as the
default-directory for the buffer from which the rgrep command was
initiated -- there's no way for it to derive the specified search
directory from that.